Bug 165331 - Can't detect external modem on /dev/ttyS0
Can't detect external modem on /dev/ttyS0
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2005-08-07 22:40 EDT by oi1uohoriugah8oa
Modified: 2008-02-28 03:43 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 03:43:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description oi1uohoriugah8oa 2005-08-07 22:40:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
Using System Settings>Network from the menu, select "devices" tab, click "new", select "modem connection". It says "probing for modem", but won't find one that's connected to /dev/ttyS0. It works if the modem is connected to /dev/ttyS1.


Version-Release number of selected component (if applicable):
system-config-network 1.3.26

How reproducible:
Always

Steps to Reproduce:
(see above)


Actual Results:  Modem is not detected

Expected Results:  Modem should be detected

Additional info:

Some history:

Back in the days of MSDOS, most people connected their modems to COM1 (ttyS0). If they had a mouse, it was on COM2 (ttyS1) because the modem was already using COM1 (most people didn't have mice back then, and some computers had only one serial port).

Then internal (ISA) modems came along, and many of them came pre-configured for COM2 so as not to conflict with the existing COM1. Serial mice later disappeared in favor of PS/2 mice. Now there are PCI modems that create their own ports with PNP.

I'm enough of an oldtimer that I've always put my modems on COM1 (ttyS0). I only discovered this by accident, because one of my machines had the ports labeled backwards, and the probe found it on ttyS1 when I thought it was on ttyS0. On my other machine, I moved the modem from ttyS0 to ttyS1 and then the probe could find it.
Comment 1 Harald Hoyer 2005-08-23 05:57:36 EDT
hmm... and manually specifying ttyS0 works?
Comment 2 oi1uohoriugah8oa 2005-08-24 23:21:05 EDT
Yes, I just tried this. With the modem plugged into /dev/ttyS0, autodetect fails
but I can manually assign it and it works. Then, I can manually reassign the
modem0 device to either port (using the "hardware" tab) and it works as long as
the modem is plugged into the appropriate port.

Comment 3 Christian Iseli 2007-01-22 06:21:06 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 petrosyan 2008-02-28 03:43:47 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.